/*import a google font*/

/*game board styles*/
body {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    overflow: hidden;
}
.body-image {
    background-image: url("../images/Snake-backround.png");
    repeat: no-repeat;
    background-attachment: fixed;
    background-size: 100% 100%;
    color: white;
}

.wrapper {
    width: 80vmin;
    height: 80vmin;
    display: flex;
    overflow: hidden;
    flex-direction: column;
    border-radius: 5px;
    background-color: #0d5735;
}
.game-details {
    color: #96baf4;
    font-size: 1.2rem;
    font-weight: 500;
    padding: 20px 27px;
    display: flex;
    justify-content: space-between;
}
.play-board {
    width: 100%;
    height: 100%;
    background-color: #127d4b;
    display: grid;
    grid-template: repeat(32, 1fr) / repeat(32, 1fr);
}

.play-board .food {
    background-image: url("../images/snake-food-sprite-1.png.png");
    background-size: 100% 100%;
}
.play-board .head {
    background-image: url("../images/snake-sprite-head.png");
    background-size: 100% 100%;
}

.play-board .snake-body {
    background-image: url("../images/snake-sprite-body.png");
    background-size: 100% 100%;
}

.play-board .snake-tail {
    background-image: url("../images/snake-sprite-tail.png");
    background-size: 100% 100%;
}
.play-board .down {
    transform: rotate(270deg);
}
.play-board .up {
    transform: rotate(90deg);
}
.play-board .right {
    transform: rotate(180deg);
}
.controls {
    display: none;
    justify-content: space-evenly;
}

.controls i {
    padding: 25px 0;
    color: #96baf4;
    width: calc(100% / 4);
    text-align: center;
    cursor: pointer;
    font-size: 1.5rem;
    border-right: 1px solid;
}

@media screen and (max-width: 800px) {
    .wrapper {
        width: 90vmin;
        height: 115vmin;
    }
    .game-details {
        font-size: 1rem;
        padding: 15px 27px;
    }
    .controls {
        display: flex;
    }
    .controls i {
        padding: 15px 0;
        font-size: 1rem;
    }
}
